//
//  TeleprompterView.swift
//  OnCue
//
//  Created by Pradyun Setti on 22/06/2024.
//

import SwiftUI

struct TeleprompterView: View {
    let project: OCProject
    
    var body: some View {
        ScrollView {
            Text(project.script)
                .font(.system(size: 45))
                .padding()
        }
        .toolbar {
            ToolbarItem(placement: .topBarTrailing) {
                NavigationLink(destination: { CardsView(project: project) }) {
                    Image(systemName: "stop.fill")
                }
            }
        }
    }
}

#Preview {
    TeleprompterView(project: PreviewData.project)
}
